version: '3.8'

services:
  server:
    image: marco.pms.api:v1
    container_name: marco.pms.api
    ports:
      - "8080:8080"  
    networks:
      - marco_network
    
  client:
    image: marco.pms.web:v1
    container_name: marco.pms.web
    depends_on:
      - server
    networks:
      - marco_network
    environment:
      - VITE_BASE_URL=http://server:8080  # Use the service name `server`
    ports:
      - "4173:4173" 

networks:
  marco_network:
    driver: bridge
